# Single Content Sync

A simple way to export/import a node content with all entity references.

## Export content

### Which entity references can be exported?

Here is a current list of supported entity references which can be exported/imported:

- Taxonomy term
- Node
- User
- Paragraphs
- Field collection

This list can be extended by you, see how to do it below.

Coming soon:

- Translations sync
- Layout builder

### Can I extend exporting of my custom entity?

Yes! You can use a hook to alter exporting of entity.

```
hook_content_export_entity_alter(array &$base_fields, FieldableEntityInterface $entity)
```

It allows you to export base fields of your custom entity or alter based fields of supported entity.

### Can I extend exporting of my custom field type?

Yes! You can use a hook to alter exporting of field value.

```
hook_content_export_field_value_alter(&$value, FieldItemListInterface $field)
```

## Import content

### Can I extend importing of my custom entity?

Yes! You can use a hook to alter importing of entity.

```
hook_content_import_entity_alter(array $content, FieldableEntityInterface $entity)
```

### Can I extend importing of my custom field type?

Yes! You can use a hook to alter importing of field value.

```
hook_content_export_field_value_alter(&$value, FieldItemListInterface $field)
```
